Bug 3437 - various cleanups
Summary: various cleanups
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Other (show other bugs)
Version: 3.12.0
Hardware: All All
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-06-18 15:21 CEST by Christian Hesse
Modified: 2016-09-01 19:49 CEST (History)
0 users

See Also:


Attachments
fix inconsistent use of tabs and spaces in indentation (2.00 KB, patch)
2015-06-18 15:21 CEST, Christian Hesse
no flags Details | Diff
add *.tar.xz (xz compressed source tarball) to .gitignore (563 bytes, patch)
2015-06-18 15:22 CEST, Christian Hesse
no flags Details | Diff
fix type in yacc file (670 bytes, patch)
2015-06-18 15:22 CEST, Christian Hesse
no flags Details | Diff
remove unused variables (1.52 KB, patch)
2015-06-18 15:22 CEST, Christian Hesse
no flags Details | Diff
do not redefine MIN and MAX (842 bytes, patch)
2015-06-18 15:22 CEST, Christian Hesse
no flags Details | Diff
remove useless rule (776 bytes, patch)
2015-06-18 15:23 CEST, Christian Hesse
no flags Details | Diff
remove unused variable (711 bytes, patch)
2015-06-18 15:23 CEST, Christian Hesse
no flags Details | Diff
remove unused code relating to old unsupported version of libarchive (1.16 KB, patch)
2015-06-18 15:24 CEST, Christian Hesse
no flags Details | Diff
replace raw logo with xpm and fix deprecated gdk_pixbuf_new_from_inline (63.20 KB, patch)
2015-06-18 15:29 CEST, Christian Hesse
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Hesse 2015-06-18 15:21:36 CEST
Created attachment 1517 [details]
fix inconsistent use of tabs and spaces in indentation

I sent most of this to the mailing list but nobody cared... So uploading here.
Comment 1 Christian Hesse 2015-06-18 15:22:04 CEST
Created attachment 1518 [details]
add *.tar.xz (xz compressed source tarball) to .gitignore
Comment 2 Christian Hesse 2015-06-18 15:22:20 CEST
Created attachment 1519 [details]
fix type in yacc file
Comment 3 Christian Hesse 2015-06-18 15:22:38 CEST
Created attachment 1520 [details]
remove unused variables
Comment 4 Christian Hesse 2015-06-18 15:22:55 CEST
Created attachment 1521 [details]
do not redefine MIN and MAX
Comment 5 Christian Hesse 2015-06-18 15:23:17 CEST
Created attachment 1522 [details]
remove useless rule
Comment 6 Christian Hesse 2015-06-18 15:23:38 CEST
Created attachment 1523 [details]
remove unused variable
Comment 7 Christian Hesse 2015-06-18 15:24:05 CEST
Created attachment 1524 [details]
remove unused code relating to old unsupported version of libarchive
Comment 8 Christian Hesse 2015-06-18 15:29:36 CEST
Created attachment 1525 [details]
replace raw logo with xpm and fix deprecated gdk_pixbuf_new_from_inline
Comment 9 Christian Hesse 2015-06-18 16:21:35 CEST
I pushed the changes to a branch on github:
https://github.com/eworm-de/claws-mail/commits/various-cleanups
Comment 10 Ricardo Mones 2015-08-04 10:29:17 CEST
Last patch still not applied to master, may fix bug 2918.
Comment 11 Christian Hesse 2015-08-04 10:53:01 CEST
The last patch still hardcodes the icon, though in another format. (And it has an extra issue: This does support transparency on/off only, no real alpha channel, so icon borders are ugly.)

Probably it would be worth it installing the icon to /usr/share/icons/ and selecting by name.
Comment 12 users 2016-09-01 19:42:04 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2016-09-01 19:42:02.941825457 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=d3b60aded0edcd3ef3ea1cd725b7149779c685f4
Merge: a10423d db2ee15
Author: Colin Leroy <colin@colino.net>
Date:   Thu Sep 1 19:42:02 2016 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=db2ee150ef10f77d1b724a9cdf93df890cafc534
Author: Ricardo Mones <ricardo@mones.org>
Date:   Thu Sep 1 19:40:31 2016 +0200

    Fix bug #2918: Notification Popup icon is hardcoded
    
    Also fixes last part of bug #3437 by removing the call to deprecated
    function gdk_pixbuf_new_from_inline and not using a raw pixmap.

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=fcfeb30db6fb32972acb57aec3c8cde7978e8f0e
Author: Ricardo Mones <ricardo@mones.org>
Date:   Thu Sep 1 19:39:46 2016 +0200

    Add 64x64 icon version to stock pixmaps
    
    Icon data purloined from last patch of #3437 by Christian Hesse.
Comment 13 Ricardo Mones 2016-09-01 19:49:10 CEST
(In reply to comment #11)
> The last patch still hardcodes the icon, though in another format. (And it
> has an extra issue: This does support transparency on/off only, no real
> alpha channel, so icon borders are ugly.)

Right, but that's a general problem of internal theme, not fixable until its format is switched to PNG (RFE #3488) or something better.
 
> Probably it would be worth it installing the icon to /usr/share/icons/ and
> selecting by name.

Now is a stock icon, so is theme-able in PNG format, if somebody feels it's too ugly for their visual tastes :)